Get Client Settlement

This API call allows clients to get a list of settlement transactions for any connected network account, for a specific settlement. The settlement and its metadata will be returned along with all related settlement transfers in and out of the clients’ network accounts.

Error scenarios:

  • 400: Invalid Request Error

  • Occurs when the request parameters are invalid or malformed.

  • Examples: Invalid UUID format for settlementId, invalid enterpriseId format.

  • 401: Authentication Error

  • Occurs when the request is not authorized.

  • Examples: Caller is not a member of the enterprise.

  • 403: Permission Denied Error

  • Occurs when the authenticated client doesn't have necessary permissions.

  • Examples: Enterprise does not have OES license.

  • 404: Not Found Error

  • Occurs when the specified settlement cannot be found.

  • Examples: Settlement ID doesn't exist or the calling client isn't involved in the settlement.

  • 500: Internal Server Error

  • Occurs when there's an unexpected server error processing the request.

  • Examples: Database connection issues.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≥ 1

The enterprise identifier of the client. This identifies the client enterprise making the API request.

string
required

The unique identifier of the settlement to retrieve. This is a UUID that uniquely identifies the settlement record.

Query Params
currencies
array of strings

Filter by specific currencies. When provided, only settlement transfers involving these currencies will be included.

currencies
string

The page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0.

string

The page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json